ros-iron-demo-nodes-py (0.27.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.27.0-1jammy) jammy; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Add matched event demo for rclcpp and rclpy (#607 <https://github.com/ros2/demos/issues/607>)
  * Contributors: Barry Xu, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.26.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 (#606 <https://github.com/ros2/demos/issues/606>)
  * Contributors: Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.25.0-1jammy) jammy; urgency=high

  * Service introspection (#602 <https://github.com/ros2/demos/issues/602>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.24.0-1jammy) jammy; urgency=high

  * Added README.md for demo_nodes_py (#600 <https://github.com/ros2/demos/issues/600>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-demo-nodes-py (0.23.0-1jammy) jammy; urgency=high

  * Demo for pre and post set parameter callback support (#565 <https://github.com/ros2/demos/issues/565>)
  * Contributors: Deepanshu Bansal

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.22.0-1jammy) jammy; urgency=high

  * Add demo for rclpy parameter client (#566 <https://github.com/ros2/demos/issues/566>)
  * Exit with code 0 if ExternalShutdownException is raised (#581 <https://github.com/ros2/demos/issues/581>)
  * Contributors: Brian, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.20.0-1jammy) jammy; urgency=high

  * Cleanups in demo_nodes_py. (#555 <https://github.com/ros2/demos/issues/555>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-demo-nodes-py (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Fixed typo executor -> executors (#542 <https://github.com/ros2/demos/issues/542>)
  * Update python nodes SIGINT handling (#539 <https://github.com/ros2/demos/issues/539>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic, ori155

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.14.1-1jammy) jammy; urgency=high

  * Use underscores instead of dashes in setup.cfg (#502 <https://github.com/ros2/demos/issues/502>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-demo-nodes-py (0.11.0-1jammy) jammy; urgency=high

  * Update deprecated qos policy value names (#468 <https://github.com/ros2/demos/issues/468>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Ivan Santiago Paunovic, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.10.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.9.0-1jammy) jammy; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-iron-demo-nodes-py (0.8.4-1jammy) jammy; urgency=high

  * Make demos handle SIGINT gracefully. (#377 <https://github.com/ros2/demos/issues/377>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.8.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.8.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.8.1-1jammy) jammy; urgency=high

  * Prevent argparse from parsing ROS args in Python demo nodes. (#396 <https://github.com/ros2/demos/issues/396>)
  * Update setup.py versions
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.8.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.5-1jammy) jammy; urgency=high

  * Fix reliable option for Python QoS demo (#352 <https://github.com/ros2/demos/issues/352>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.4-1jammy) jammy; urgency=high

  * Fix deprecation warnings (#334 <https://github.com/ros2/demos/issues/334>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 09 May 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.7.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.6.2-1jammy) jammy; urgency=high

  * Added serialized listener demo for python (#287 <https://github.com/ros2/demos/issues/287>)
  * Contributors: Joseph Duchesne

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 14 Jan 2019 16:00:00 -0000

ros-iron-demo-nodes-py (0.6.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 16:00:00 -0000

ros-iron-demo-nodes-py (0.6.0-1jammy) jammy; urgency=high

  * Updated package maintainer. (#286 <https://github.com/ros2/demos/issues/286>)
  * Removed now redundant args=sys.argv (#274 <https://github.com/ros2/demos/issues/274>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 16:00:00 -0000

ros-iron-demo-nodes-py (0.5.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 16:00:00 -0000

ros-iron-demo-nodes-py (0.5.0-1jammy) jammy; urgency=high

  * Updated demos so that they support remapping arguments to python nodes by passing arguments to rclpy from argparse. (#252 <https://github.com/ros2/demos/issues/252> and #253 <https://github.com/ros2/demos/issues/253>)
  * Updated client demo to handle multiple requests. (#228 <https://github.com/ros2/demos/issues/228>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 16:00:00 -0000


